export const KONNECTORS_DOCTYPE = 'io.cozy.konnectors'

export type Konnector = {
  _id: string
  name: string
  slug: string
  state: string
}

export function isKonnector(konnector: any): konnector is Konnector {
  return (
    konnector &&
    '_id' in konnector &&
    'name' in konnector &&
    'slug' in konnector &&
    'state' in konnector
  )
}
